// Библиотека iarduino_I2C_connect разработана для удобства соединения нескольких arduino по шине I2C
// Данная Arduino является ведомым устройством на шине I2C с адресом 0x02
// Arduino                                            http://iarduino.ru/shop/arduino/
// Trema потенциометр                                 http://iarduino.ru/shop/Expansion-payments/potenciometr-trema-modul.html
// Trema светодиод                                    http://iarduino.ru/shop/Expansion-payments/svetodiod---zelenyy-trema-modul.html

// Подключаем библиотеки:
#include <Wire.h>                                     // подключаем библиотеку для работы с шиной I2C
#include <iarduino_I2C_connect.h>                     // подключаем библиотеку для соединения arduino по шине I2C
// Объявляем переменные и константы:
iarduino_I2C_connect I2C2;                            // объявляем переменную для работы c библиотекой iarduino_I2C_connect
const byte           PIN_Potentiometer = 0;           // объявляем константу с указанием номера аналогового вывода, к которому подключён потенциометр
const byte           PIN_LED           = 13;          // объявляем константу с указанием номера цифрового вывода, к которому подключен светодиод
      int            VAR_Potentiometer = 0;           // объявляем переменную для чтения значения с потенциометра
      byte           REG_Massive[3];                  // объявляем массив, данные которого будут доступны для чтения/записи по шине I2C
void setup(){
//Wire.setClock(400000);                              // устанавливаем скорость передачи данных по шине I2C = 400кБит/с
  Wire.begin(0x02);                                   // инициируем подключение к шине I2C в качестве ведомого (slave) устройства, с указанием своего адреса на шине.
  I2C2.begin(REG_Massive);                            // инициируем возможность чтения/записи данных по шине I2C, из/в указываемый массив
  pinMode(PIN_LED, OUTPUT);                           // Устанавливаем режим работы вывода светодиода, как выход
}
void loop(){
  VAR_Potentiometer = analogRead(PIN_Potentiometer);  // Считываем значение потенциометра
  REG_Massive[1]    = VAR_Potentiometer>>8;           // Сохраняем старший байт значения потенциометра в  1 ячейку массива REG_Massive
  REG_Massive[2]    = VAR_Potentiometer;              // Сохраняем младший байт значения потенциометра во 2 ячейку массива REG_Massive
  digitalWrite(PIN_LED, REG_Massive[0]);              // вкл/выкл светодиод в соответствии со значением 0 элемента массива REG_Massive
}
